nave = {x = 230,y = 240,w=47,h=46}
--nave.img = image.load("imagenes/nave.png")
vida = 100
explosion = {}
explosion[1]= image.load("explotion/1.png")
explosion[2]= image.load("explotion/2.png")
explosion[3]= image.load("explotion/3.png")
explosion[4]= image.load("explotion/4.png")
function nautilus()
	ini.write("scores.ini","puntos",puntos)
end



disparo =  weapon.create(bala2,7,100)
disparo2 = weapon.create(misil,9,100)
meteo = {}
meteoimg = image.load("imagenes/ito.png")
meteo_t={x=10,y=-30,w=45,h=40}
meteo = {x=nil,y=nil,w=meteoimg:width(),h=meteoimg:height(),tipo="cuadro"}

function createmeteo()
meteo.y = -400-math.random(50,100)
meteo.x = math.random(0,448)
end
explosion_nave=false

-----------------------------------
-------Animaciones-----------------
-----------------------------------
--nave_animacion = anim.create(nave.img,47,46,200)
--nave_animacion:start()
explosion_animacion = anim.create(explosion,200)
explosion_animacion:start()
weapon.action(disparo,"start")
createmeteo()
meteoscaidos=1
weapon.action(disparo2,"start")
while true do
controls.read()
anim.blit(ground,0,0)
screen.print(fuente,1,10,"Life "..vida,1,blanco,rojo)
screen.print(fuente,320,10,"Score: "..puntos,1,blanco,rojo)
draw.pbar(2,25,100,7,color.new(0,240,255),color.new(0,0,255),vida,100)
if weapon.blit(disparo,true,meteo.x,meteo.y,meteo.w,meteo.h) then
	createmeteo()
	sound.play(pom)
	puntos = puntos + 5
end
meteo.y = meteo.y + 25
if weapon.blit(disparo2,true,meteo.x,meteo.y,meteo.w,meteo.h) then
createmeteo()
sound.play(pom)
puntos = puntos + 5
end
weapon.blit(disparo)
weapon.blit(disparo2)
if puntos == 850 then
sound.play(win)
	os.message("Go to the next level")
	dofile("niveles/nivel5.lua")
end
if vida == 0 then
	os.message("You loser")
	dofile("script.lua")
end
if controls.start() then

for i = 0,255,2 do
	image.blend(menu1,45,11,0+i)
	screen.flip()
end
menu = 1
while true do
controls.read()
menu1:blit(45,11)

if menu == 1 then
menu1:blit(45,11)
if controls.press("cross") then
break
end
end
if menu == 2 then
menu2:blit(45,11)
if controls.press("cross") then
dofile("selector.lua")
end
end
if menu == 3 then
menu3:blit(45,11)
if controls.press("cross") then
dofile("script.lua")
end
end
if menu == 4 then
menu4:blit(45,11)
if controls.press("cross") then
os.exit()
end
end

if controls.press("up") then
	menu = menu-1
end

if controls.press("down") then
	menu = menu+1
end

if menu < 1 then
	menu = 4
end

if menu > 4 then
	menu = 1
end

screen.flip()
end
end
moverPersonaje()
if controls.r() then
	weapon.shoot(disparo,nave.x+nave.w/2-disparo.w/2-1,nave.y,"up",laser)
end

if controls.l() then
weapon.shoot(disparo2,nave.x+nave.w/2-disparo2.w/2-1,nave.y,"up",buff)
end

nave_animacion:blit(nave.x,nave.y)
meteoimg:blit(meteo.x,meteo.y)
if meteo.y >272 then createmeteo() end
if nave.x + nave.w >= meteo.x and
	nave.x <=	meteo.x+meteo.w and
	nave.y + nave.h >= meteo.y and 
	nave.y <= meteo.y + meteo.h then
explosion_nave=true
sound.play(pom)
		vida = vida - 1
end

if explosion_nave == true then
	explosion_animacion:blit(nave.x - 13,nave.y - 20)
	if explosion_animacion:currentframe() == 4 then
	explosion_nave = false
	end
end
screen.flip()
end